ids and get one entry per company, in the same order.include=lists to get each list's full details instead, so you do not need a second call to resolve names.lists:read OAuth2 scope.X-Api-Key: ********************{
"ids": [
"159001425",
"129011"
]
}curl --location 'https://api.leadfeeder.com/v1/lists/companies?account_id=123456&include=undefined' \
--header 'X-Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"ids": [
"159001425",
"129011"
]
}'{
"data": [
{
"id": "159001425",
"relationships": {
"lists": [
{
"attributes": {
"created_at": "2024-12-10T15:57:25Z",
"name": "US Prospects",
"scope": "company",
"updated_at": "2024-11-24T11:50:00Z"
},
"id": "company_123",
"relationships": {
"created_by": {
"id": "12345",
"type": "user"
}
},
"type": "list"
},
{
"attributes": {
"created_at": "2024-12-11T09:12:03Z",
"name": "Target Accounts",
"scope": "company",
"updated_at": "2024-12-11T09:12:03Z"
},
"id": "company_456",
"relationships": {
"created_by": {
"id": "12345",
"type": "user"
}
},
"type": "list"
}
]
},
"type": "company"
},
{
"id": "129011",
"relationships": {
"lists": []
},
"type": "company"
}
],
"meta": {
"request_id": "cf054205-dd8c-4473-8689-07c30fe0789f"
}
}